Skip to main content
GET
/
noCo
/
api
/
v2
/
workspaces
/
{workspaceId}
/
tables
/
{tableId}
/
{linkColumnId}
/
linkData
Get Link Data
curl --request GET \
  --url https://be.datagol.ai/noCo/api/v2/workspaces/{workspaceId}/tables/{tableId}/{linkColumnId}/linkData \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 2,
    "cellValues": {
      "course_id": 102,
      "course_name": "JAVA",
      "st_id": 3,
      "employee_075d": 2,
      "employee_753d": 4
    }
  }
]

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier

tableId
string<uuid>
required

Source table identifier

ID of the LINK column to fetch linked data for

Query Parameters

id
integer
required

The row ID of the source record whose linked records you want to retrieve

Response

200 - application/json

Linked records retrieved successfully

id
integer

Row ID of the linked record in the destination table

cellValues
object

Map of column names to their values for the linked record